<?php
/**
 * Created by PhpStorm.
 * User: oriol
 * Date: 28/04/16
 * Time: 18:31
 */

namespace tests\controllers;
use App\Http\Controllers\LlistatAccessosController;
use WithoutMiddleware;

class LlistatAccessosControllerTest extends \TestCase
{
    public function testLlistatAccessosControllerTestCanBeCreated()
    {
        $LlistatAccessosControllerTest = new LlistatAccessosController();
    }
    public function testllistarAccessos()
    {
        $LlistatAccessosControllerTest = new LlistatAccessosController();
        $accessos = $LlistatAccessosControllerTest->llistarAccessos();
        $this->assertEquals(count($accessos),15);

    }
    public function testConsulta()
    {
        $this->WithoutMiddleware();
        $this->call('GET', '/accessos',[]);
        $this->assertResponseOk();
    }

}
